# $Revision: 1.5 $, $Date: 2003/05/02 10:39:51 $
Summary:	Library for interaction with smartcard readers
Summary(pl):	Biblioteka do wsppracy z czytnikami kart procesorowych
Name:		libtlp
Version:	1.0.5
Release:	1
License:	BSD-like + restricted vendor's name usage (see copyright file)
Group:		Libraries
Source0:	http://www.gemplus.com/techno/tlp_drivers/download/%{name}_%{version}.tar.gz
URL:		http://www.gemplus.com/techno/tlp_drivers/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The TLP224 protocol is used to encode commands send to the smartcard
reader. The command can be for the reader itself (Power on, reset,
etc.) or can contain a ISO 7616-4 APDU.

TLP224(R) is a registered trademark of Bull Corporation.

%description -l pl
Protok TLP224 jest uywany do kodowania polece wysyanych do
czytnikw kart procesorowych. Komendy mog by skierowane do samego
czytnika (wczenie, reset itp.) lub zawiera APDU wg ISO 7616-4.

TLP224(R) jest zastrzeonym znakiem Bull Corporation.

%package devel
Summary:	libtlp header files
Summary(pl):	Pliki nagwkowe libtlp
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
libtlp header files.

%description devel -l pl
Pliki nagwkowe libtlp.

%package tools
Summary:	Simple libtlp tools
Summary(pl):	Proste narzdzia do libtlp
Group:		Applications
Requires:	%{name} = %{version}

%description tools
Simple libtlp tools:
- reset_tlp to reset smartcard reader
- scsend to send command to the reader.

%description tools -l pl
Proste narzdzia do libtlp:
- reset_tlp do resetowania czytnika kart
- scsend do wysyania polece do czytnika.

# NO SUCH PACKAGE (YET?)
%package -n smartcard-tools-perl
Summary:	Tools in Perl
Summary(pl):	Narzdzia w Perlu
Group:		Applications
Requires:	%{name} = %{version}
Requires:	perl

%description -n smartcard-tools-perl
Simple tools for comunicating w/ smartcard reader.

%description -n smartcard-tools-perl -l pl
Proste narzdzia do komunikacji z czytnikiem kart chipowych.

%prep
%setup -qn libtlp

%build
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -I."

rm -rf src/samples/CVS

%{__make} -C src/tools \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -I.."

%install
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir}} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,3},%{_examplesdir}/%{name}-%{version}}

%{__make} -C src install install-dev \
	DESTDIR=$RPM_BUILD_ROOT

install src/man/man1/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install src/man/man3/*.3 $RPM_BUILD_ROOT%{_mandir}/man3
install src/samples/*  $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *txt README.tlp README.unix copyright
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libtlp.spec,v $
Revision 1.5  2003/05/02 10:39:51  ankry
- reversed last (bogus) change

Revision 1.3  2003/04/18 00:06:02  qboosh
- added URLs
- smartcard-tools renamed to just -tools (they are libtlp specific)
- libtlp-perl moved to perl-cardreader.spec

Revision 1.2  2002/11/30 10:52:56  qboosh
- some cleanups

Revision 1.1  2002/10/12 17:30:40  hunter
- initial pld release, NYF(!)
